sdbus-c++: sdbus::Properties_proxy Class Reference

sdbus-c++ 1.4.0 High-level C++ D-Bus library based on systemd D-Bus implementation

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
sdbus::Properties_proxy Class Referenceabstract

## Public Member Functions
sdbus::Variant | Get (const std::string &interfaceName, const std::string &propertyName)
template<typename _Function >
PendingAsyncCall | GetAsync (const std::string &interfaceName, const std::string &propertyName, _Function &&callback)
std::future< sdbus::Variant > | GetAsync (const std::string &interfaceName, const std::string &propertyName, with_future_t)
void | Set (const std::string &interfaceName, const std::string &propertyName, const sdbus::Variant &value)
void | Set (const std::string &interfaceName, const std::string &propertyName, const sdbus::Variant &value, dont_expect_reply_t)
template<typename _Function >
PendingAsyncCall | SetAsync (const std::string &interfaceName, const std::string &propertyName, const sdbus::Variant &value, _Function &&callback)
std::future< void > | SetAsync (const std::string &interfaceName, const std::string &propertyName, const sdbus::Variant &value, with_future_t)
std::map< std::string, sdbus::Variant > | GetAll (const std::string &interfaceName)
template<typename _Function >
PendingAsyncCall | GetAllAsync (const std::string &interfaceName, _Function &&callback)
std::future< std::map< std::string, sdbus::Variant > > | GetAllAsync (const std::string &interfaceName, with_future_t)

## Protected Member Functions
| Properties_proxy (sdbus::IProxy &proxy)
| Properties_proxy (const Properties_proxy &)=delete
Properties_proxy & | operator= (const Properties_proxy &)=delete
| Properties_proxy (Properties_proxy &&)=default
Properties_proxy & | operator= (Properties_proxy &&)=default
virtual void | onPropertiesChanged (const std::string &interfaceName, const std::map< std::string, sdbus::Variant > &changedProperties, const std::vector< std::string > &invalidatedProperties)=0

The documentation for this class was generated from the following file:

- include/sdbus-c++/StandardInterfaces.h